package org.jeecg.modules.system.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.system.app.dto.AppCategoryDTO;
import org.jeecg.modules.system.app.entity.AppCategory;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.system.app.vo.AppCategoryVO;

import java.util.List;

/**
 * @Description: 运动类型表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
public interface IAppCategoryService extends IService<AppCategory> {
    Boolean saveCategory(AppCategoryVO appCategoryVO);
    Boolean editCategory(AppCategoryDTO appCategoryVO);
    Boolean deleteCategory(String id);
    IPage<AppCategoryVO> queryCategoryList(AppCategoryDTO appCategoryDTO);

    List<AppCategoryVO> queryCategories();
}
